org.apache.xerces.impl.xs

## Class XMLSchemaValidator.KeyRefValueStore

- java.lang.Object
- - org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
  - - org.apache.xerces.impl.xs.XMLSchemaValidator.KeyRefValueStore

- All Implemented Interfaces:
    ValueStore
  Enclosing class:
    XMLSchemaValidator

      protected class XMLSchemaValidator.KeyRefValueStore
      extends XMLSchemaValidator.ValueStoreBase

  Key reference value store.
  Author:
    Andy Clark, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XMLSchemaValidator.ValueStoreBase` | `fKeyValueStore` Key value store.

    - ### Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase

      `fFieldCount, fFields, fHasValue, fIdentityConstraint, fItemValueTypes, fLocalItemValueTypes, fLocalValues, fLocalValueTypes, fValues, fValuesCount, fValueTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSchemaValidator.KeyRefValueStore(KeyRef keyRef, XMLSchemaValidator.KeyValueStore keyValueStore)` Constructs a key value store.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()` End document.
    `void` | `endDocumentFragment()`

    - ### Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase

      `addValue, append, checkDuplicateValues, clear, contains, contains, endValueScope, reportError, startValueScope, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fKeyValueStore

          protected XMLSchemaValidator.ValueStoreBase fKeyValueStore

      Key value store.

  - ### Constructor Detail

    - #### XMLSchemaValidator.KeyRefValueStore

          public XMLSchemaValidator.KeyRefValueStore(KeyRef keyRef,
                                             XMLSchemaValidator.KeyValueStore keyValueStore)

      Constructs a key value store.

  - ### Method Detail

    - #### endDocumentFragment

          public void endDocumentFragment()

      Overrides:
        `endDocumentFragment` in class `XMLSchemaValidator.ValueStoreBase`

    - #### endDocument

          public void endDocument()

      End document.
      Overrides:
        `endDocument` in class `XMLSchemaValidator.ValueStoreBase`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.